Subject: RE: Compiling Mesa from CVS under Cygwin B20.1
From: "Suhaib M. Siddiqi" <[email-masked]>
To: "Jeffrey Juliano" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 6 Mar 2000 10:59:36 -0500

> ...because I thought GLX would compile into something called libglx.a,
> that augments libgl.a.  Guess I'm wrong.  I thought using the GLX
> extensions, like GLU, would require an additional -l flag to the linker.
>

Ummm... that is why I suggested reading an OpenGL bok.  GLX stands for
GL calls to X. wGL stands for GL to Windows... to be in a layman language.
Since Win32 is not an X it cannot accept GLX unless you are using Cygwin
emulation and linking to libX11.a etc.

> I just re-skimmed the introduction and Appendix C of _OpenGL Programming
> Guide_, and see no mention of what -l flags to use.  Having never used
> the GLX extensions, and having never read something like _OpenGL
> Programming for the X Window System_, I think this was a reasonable
> wrong assumption to make.

What is -l flags?  Did I say -l flag?
>
>
> > If you do not know the differences between wGL, and GLX then I would be
> > wastin my time here.
>
> Um, I knew what GLX is, but was unfamiliar with the name "wGL" and
> thought you had typed "wGL" as an abbreviation for "the OpenGL
> implementation that comes with microsoft windows".

When microsoft ported OpenGL implementation to Win32 they replaced glx with
wgl and linked to GDI instead of libX11 because there is no libX11
on Windows OS.

>
> I've never had to use GLX or wGL; so far, glut has served all my needs.
> Which is kind of the point of glut, until you have a need for extensions
> particular to your window system, or are writing commercial quality code
> requiring better UI.  So, I was unfamiliar with how one links to the GLX
> or wGL extensions.
>
> Any other confusion in this thread likely stems from, as I've repeatedly
> embarrassed myself by saying, my not realizing he's using MESA GL and
> not opengl32.  Next time I read the question more carefully before
> trying to help someone in the waning moments before falling asleep.

Understood.  All of us make mistakes.

regards
Suhaib

>
> Sorry to waste your time...and this is getting offtopic so I'll stop
> now.  I'm sure other people don't really care about what "I thought".
> But thanks for correcting my incorrect assumptions about wGL and GLX.
> And, again, thanks for your work on cygwin-xfree86.
>
>
> cheers,
>
> -jeff

--
Want to unsubscribe from this list?
Send a message to [email-masked]